using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CowainHmi
{
    public partial class S1配方工艺 : S1公共背景
    {
        public S1配方工艺()
        {
            InitializeComponent();
        }

        private void 标签3_TextChanged(object sender, EventArgs e)
        {
            //配方名称改变时，发送给PLC
            string name = PCHMI.VL.GET_STRING(0, "U2000", 15);
            //PCHMI.RT.SEND_SIEMENS_STRING(0, "U:S1_ProductName", name);
            StringHelper.SendSiemensString(0, "U:S1_ProductName", 15, name);
        }

        private void 标签2_MouseDown(object sender, MouseEventArgs e)
        {
            //添加配方
            Dlg添加配方 dlg = new Dlg添加配方("配方OP2020", "U2000", "U:S1_ProductName");
            dlg.ShowDialog();
        }

    }
}
